TLSRPT_CLOSE(3)

NAME
tlsrpt_close - `tlsrpt_close` closes the tlsrpt_connetion_t object

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_close(struct tlsrpt_connection_t** pcon)

DESCRIPTION

The function tlsrpt_close closes the tlsrpt_connetion_t object. tlsrpt_close closes the socket, resets the destination socket address to all zero bytes, deallocates the struct tlsrpt_connection_t and sets *pcon to NULL.

RETURN VALUE

The tlsrpt_close function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_open(3), tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).